Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 657146 - www-client/firefox-60.0.1 tries to build Unified_cpp_common_audio_sse2_gn0.o.pp on arm64
Summary: www-client/firefox-60.0.1 tries to build Unified_cpp_common_audio_sse2_gn0.o....
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Mozilla Gentoo Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-02 18:36 UTC by Roy Bamford
Modified: 2020-09-01 03:56 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
bz2 build log (a9eb75fdd1c8.bz2,83.22 KB, application/octet-stream)
2018-06-02 18:38 UTC, Roy Bamford
Details
Compressed raw build log (9e550520a036.bz2,75.14 KB, application/octet-stream)
2018-06-02 19:19 UTC, Roy Bamford
Details
Omit sse2 code from the build set on platforms that don't support it (Bug-1434589-Fix-sse2-dependency-for-linux.patch,1.96 KB, patch)
2018-06-04 11:28 UTC, sakaki
Details | Diff
Fix skia build on arm64 with gcc (Bug-1453892-Fix-Skia-build-on-arm64-linux-with-GCC.patch,1.26 KB, patch)
2018-06-04 16:46 UTC, sakaki
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Roy Bamford gentoo-dev 2018-06-02 18:36:06 UTC
www-client/firefox-60.0.1 tries to build Unified_cpp_common_audio_sse2_gn0.o.pp on arm64. As arm64 does not support -msse2 this fails.

emerge --info =www-client/firefox-60.0.1                                                               
 
Portage 2.3.40 (python 2.7.14-final-0, default/linux/arm64/17.0/desktop, gcc-7.3.0, glibc-2.26-r7, 4.9.0-4-arm64 aarch64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.9.0-4-arm64-aarch64-with-gentoo-2.6
KiB Mem:   131544964 total,  75032544 free
KiB Swap:    3321056 total,   3320676 free
Timestamp of repository gentoo: Sat, 02 Jun 2018 10:45:01 +0000
Head commit of repository gentoo: 7814f72ca87761f52b7512e1966fbf1fb9a66198
sh bash 4.4_p19
ld GNU gold (Gentoo 2.30 p2 2.30.0) 1.15
distcc 3.2rc1 aarch64-unknown-linux-gnu [disabled]
app-shells/bash:          4.4_p19::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.26.2::gentoo
dev-lang/python:          2.7.14-r2::gentoo, 3.5.5-r1::gentoo
dev-util/cmake:           3.11.3::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6::gentoo
sys-apps/openrc:          0.36::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.15.1-r1::gentoo, 1.16.1-r1::gentoo
sys-devel/binutils:       2.29.1-r1::gentoo, 2.30-r2::gentoo
sys-devel/gcc:            6.4.0-r1::gentoo, 7.3.0-r3::gentoo, 8.1.0-r3::gentoo
sys-devel/gcc-config:     1.9.1::gentoo
sys-devel/libtool:        2.4.6-r5::gentoo
sys-devel/make:           4.2.1-r3::gentoo
sys-kernel/linux-headers: 4.16-r1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.26-r7::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.namerica.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-metamanifest: yes
    sync-rsync-extra-opts: 
    sync-rsync-verify-max-age: 24

Pi_aarch64
    location: /usr/local/last_out_of_the_past
    masters: gentoo

bunder
    location: /var/lib/layman/bunder
    masters: gentoo
    priority: 50

mrueg
    location: /var/lib/layman/mrueg
    masters: gentoo
    priority: 50

palemoon
    location: /var/lib/layman/palemoon
    masters: gentoo
    priority: 50

Installed sets: @DateTime_set
ACCEPT_KEYWORDS="arm64 ~arm64"
ACCEPT_LICENSE="* -@EULA FraunhoferFDK"
CBUILD="aarch64-unknown-linux-gnu"
CFLAGS="-mcpu=cortex-a53+crc -mtune=cortex-a53 -ftree-vectorize -O2 -pipe -fomit-frame-pointer"
CHOST="aarch64-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt /var/qmail/alias /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-mcpu=cortex-a53+crc -mtune=cortex-a53 -ftree-vectorize -O2 -pipe -fomit-frame-pointer"
DISTDIR="/var/cache/distfiles"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2"
FEATURES="assume-digests binpkg-logs buildpkg collision-protect config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news nodoc noinfo noman parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2"
GENTOO_MIRRORS="http://ftp.heanet.ie/pub/gentoo/                  http://mirror.mdfnet.se/gentoo                  http://mirrors.163.com/gentoo/                  http://gentoo.mirror.web4u.cz/                  http://64.50.236.52/                  http://mirrors.sec.informatik.tu-darmstadt.de/gentoo/                  http://gentoo.mneisen.org/                  http://gentoo.mirror.pw.edu.pl/                  http://gentoo.prz.rzeszow.pl                  http://mirror.mdfnet.se/mirror/gentoo                  http://ftp.gentoo.bg/                  http://distfiles.gentoo.bg/                  http://mirrors.ludost.net/gentoo/                  http://mirror.hamakor.org.il/pub/mirrors/gentoo/                  http://ftp.dei.uc.pt/pub/linux/gentoo/"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--fix-cortex-a53-843419 -Wl,--fix-cortex-a53-835769 -Wl,--no-map-whole-files"
LINGUAS="en en_GB"
MAKEOPTS="-j50"
PKGDIR="/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi alsa arm64 berkdb bluetooth branding bzip2 cairo cdda cdr cli consolekit context cracklib crypt cups cxx dbus dri dts dvd dvdnav dvdr eds egl emboss encode exif fam flac fontconfig fortran gdbm gif glamor gles1 gles2 gnome-keyring gpm gtk iconv icu introspection iptables ipv6 jpeg lcms libnotify mad minizip mng modules mp3 mp4 mpeg multilib ncurses nls nptl nss ogg opengl openmp openssl pam pango pcre pcre16 pdf pie png policykit postproc ppds python qt3support qt5 readline script seccomp skia spell sqlite ssl ssp startup-notification svc svg tcpd threads tiff truetype udev udisks unicode upower usb virt-network vorbis wxwidgets x264 xattr xcb xml xpm xv xvid xvmc zlib" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon plan sheets stage words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_ARM="edsp neon thumb vfp vfpv3 vfpv4 vfp-d32 crc32 v4 v5 v6 v7 v8 thumb2" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev" KERNEL="linux" L10N="en en-GB" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-0" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python3_5" PYTHON_TARGETS="python2_7 python3_5" RUBY_TARGETS="ruby22 ruby23 ruby25" USERLAND="GNU" VIDEO_CARDS="fbdev vc4" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Roy Bamford gentoo-dev 2018-06-02 18:38:04 UTC
Created attachment 534580 [details]
bz2 build log
Comment 2 Roy Bamford gentoo-dev 2018-06-02 19:19:11 UTC
Created attachment 534586 [details]
Compressed raw build log
Comment 3 sakaki 2018-06-04 11:26:36 UTC
This appears to be Mozilla bug #1434589 [1]. There's a large patch on that bug thread which addresses this, but also adds ppc64 support. I'll attach the relevant part of that patch to this thread now.

Incidentally, there's another patch required to build arm64 firefox-60.0.1 under gcc (v6.4.0, at least), due to Mozilla bug #1453892 [2]. Please see my forum post [3] for further details.

Best, sakaki

[1] https://bugzilla.mozilla.org/show_bug.cgi?id=1434589
[2] https://bugzilla.mozilla.org/show_bug.cgi?id=1453892
[3] https://forums.gentoo.org/viewtopic-t-1082036.html
Comment 4 sakaki 2018-06-04 11:28:37 UTC
Created attachment 534740 [details, diff]
Omit sse2 code from the build set on platforms that don't support it
Comment 5 Roy Bamford gentoo-dev 2018-06-04 16:38:54 UTC
Both patches are required to build on arm64 with gcc-7.3 too.
Comment 6 sakaki 2018-06-04 16:46:12 UTC
Created attachment 534760 [details, diff]
Fix skia build on arm64 with gcc

Here's the second patch mentioned above, for ease of reference (addresses Mozilla bug #1453892). Apologies for the slight OT, this may want to be in its own bug I guess.
Comment 7 Jory A. Pratt gentoo-dev 2018-06-05 20:46:29 UTC
(In reply to sakaki from comment #6)
> Created attachment 534760 [details, diff] [details, diff]
> Fix skia build on arm64 with gcc
> 
> Here's the second patch mentioned above, for ease of reference (addresses
> Mozilla bug #1453892). Apologies for the slight OT, this may want to be in
> its own bug I guess.

Thanks for the patches, I will work to add them into the build for esr60.
Comment 8 Jory A. Pratt gentoo-dev 2018-06-05 20:51:13 UTC
We will not add to the patchset, after further investigating it has landed on the esr branch and the beta branch which will both have an update in next week or so.
Comment 9 tt_1 2019-01-15 13:36:37 UTC
The patch got merged by upstream, so this bug can be closes I guess? :)
Comment 10 Sam James archtester gentoo-dev Security 2020-09-01 03:56:58 UTC
(In reply to tt_1 from comment #9)
> The patch got merged by upstream, so this bug can be closes I guess? :)

Closing as I haven't seen this either.